Package org.eclipse.birt.report.model.api

# Class ParamBindingHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.ParamBindingHandle

public class ParamBindingHandle extends StructureHandle
Represents the handle of parameter binding. The parameter binding binds data set input parameter to expression by position. Order of these bindings must match the order of parameter markers ("?"") in the statement. Each parameter binding has the following properties:

Parameter Name
  a parameter bing has a required parameter name to bind.
Expression
  associated an expression with a named input parameter.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`ParamBindingHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of parameter binding.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
Returns the expression the parameter is binded to.
`ExpressionListHandle`
`getExpressionListHandle()`
Gets the expression list of this parameter binding.
`String`
`getParamName()`
Returns the parameter name.
`void`
`setExpression(String expression)`
Sets the expression the parameter is binded to.
`void`
`setParamName(String name)`
Sets the parameter name.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParamBindingHandle

public ParamBindingHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of parameter binding.

Parameters:
  `valueHandle` - the value handle for parameter binding list of one property
  `index` - the position of this parameter binding in the list

## Method Details

### getExpression

public String getExpression()
Returns the expression the parameter is binded to.

Returns:
  the expression the parameter is binded to

### setExpression

public void setExpression(String expression)
Sets the expression the parameter is binded to.

Parameters:
  `expression` - the expression to bind

### getExpressionListHandle

public ExpressionListHandle getExpressionListHandle()
Gets the expression list of this parameter binding. * @return the value1 expression list handle of this filter condition.

### getParamName

public String getParamName()
Returns the parameter name.

Returns:
  the parameter name

### setParamName

public void setParamName(String name)
Sets the parameter name.

Parameters:
  `name` - the parameter name to set